## detect-it-easy 3.10

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.14)

project(capstone LANGUAGES C)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)

message(${PROJECT_SOURCE_DIR})

if(WIN32)
  add_definitions(-DWIN32)
endif()

add_definitions(
    -DCAPSTONE_HAS_ARM
    -DCAPSTONE_HAS_ARM64
    -DCAPSTONE_HAS_BPF
    -DCAPSTONE_HAS_EVM
    -DCAPSTONE_HAS_M68K
    -DCAPSTONE_HAS_M680X
    -DCAPSTONE_HAS_MIPS
    -DCAPSTONE_HAS_MOS65XX
    -DCAPSTONE_HAS_POWERPC
    -DCAPSTONE_HAS_RISCV
    -DCAPSTONE_HAS_SPARC
    -DCAPSTONE_HAS_SYSZ
    -DCAPSTONE_HAS_TMS320C64X
    -DCAPSTONE_HAS_WASM
    -DCAPSTONE_HAS_X86
    -DCAPSTONE_HAS_XCORE
    -DCAPSTONE_X86_ATT_DISABLE_NO
    -DCAPSTONE_DIET_NO
    -DCAPSTONE_X86_REDUCE_NO
    -DCAPSTONE_USE_SYS_DYN_MEM
    -D_LIB
    )
    
include_directories(${PROJECT_SOURCE_DIR}/3rdparty/Capstone/src/include)

add_library(capstone STATIC
    ${PROJECT_SOURCE_DIR}/3rdparty/Capstone/src/MCInst.c
    ${PROJECT_SOURCE_DIR}/3rdparty/Capstone/src/MCInstrDesc.c
    ${PROJECT_SOURCE_DIR}/3rdparty/Capstone/src/MCRegisterInfo.c
    ${PROJECT_SOURCE_DIR}/3rdparty/Capstone/src/SStream.c
    ${PROJECT_SOURCE_DIR}/3rdparty/Capstone/src/arch/AArch64/AArch64BaseInfo.c
    ${PROJECT_SOURCE_DIR}/3rdparty/Capstone/src/arch/AArch64/AArch64Disassembler.c
    ${PROJECT_SOURCE_DIR}/3rdparty/Capstone/src/arch/AArch64/AArch64InstPrinter.c
    ${PROJECT_SOURCE_DIR}/3rdparty/Capstone/src/arch/AArch64/AArch64Mapping.c
    ${PROJECT_SOURCE_DIR}/3rdparty/Capstone/src/arch/AArch64/AArch64Module.c
    ${PROJECT_SOURCE_DIR}/3rdparty/Capstone/src/arch/ARM/ARMDisassembler.c
    ${PROJECT_SOURCE_DIR}/3rdparty/Capstone/src/arch/ARM/ARMInstPrinter.c
    ${PROJECT_SOURCE_DIR}/3rdparty/Capstone/src/arch/ARM/ARMMapping.c
    ${PROJECT_SOURCE_DIR}/3rdparty/Capstone/src/arch/ARM/ARMModule.c
    ${PROJECT_SOURCE_DIR}/3rdparty/Capstone/src/arch/BPF/BPFDisassembler.c
    ${PROJECT_SOURCE_DIR}/3rdparty/Capstone/src/arch/BPF/BPFInstPrinter.c
    ${PROJECT_SOURCE_DIR}/3rdparty/Capstone/src/arch/BPF/BPFMapping.c
    ${PROJECT_SOURCE_DIR}/3rdparty/Capstone/src/arch/BPF/BPFModule.c
    ${PROJECT_SOURCE_DIR}/3rdparty/Capstone/src/arch/EVM/EVMDisassembler.c
    ${PROJECT_SOURCE_DIR}/3rdparty/Capstone/src/arch/EVM/EVMInstPrinter.c
    ${PROJECT_SOURCE_DIR}/3rdparty/Capstone/src/arch/EVM/EVMMapping.c
    ${PROJECT_SOURCE_DIR}/3rdparty/Capstone/src/arch/EVM/EVMModule.c
    ${PROJECT_SOURCE_DIR}/3rdparty/Capstone/src/arch/M680X/M680XDisassembler.c
    ${PROJECT_SOURCE_DIR}/3rdparty/Capstone/src/arch/M680X/M680XInstPrinter.c
    ${PROJECT_SOURCE_DIR}/3rdparty/Capstone/src/arch/M680X/M680XModule.c
    ${PROJECT_SOURCE_DIR}/3rdparty/Capstone/src/arch/M68K/M68KDisassembler.c
    ${PROJECT_SOURCE_DIR}/3rdparty/Capstone/src/arch/M68K/M68KInstPrinter.c
    ${PROJECT_SOURCE_DIR}/3rdparty/Capstone/src/arch/M68K/M68KModule.c
    ${PROJECT_SOURCE_DIR}/3rdparty/Capstone/src/arch/MOS65XX/MOS65XXDisassembler.c
    ${PROJECT_SOURCE_DIR}/3rdparty/Capstone/src/arch/MOS65XX/MOS65XXModule.c
    ${PROJECT_SOURCE_DIR}/3rdparty/Capstone/src/arch/Mips/MipsDisassembler.c
    ${PROJECT_SOURCE_DIR}/3rdparty/Capstone/src/arch/Mips/MipsInstPrinter.c
    ${PROJECT_SOURCE_DIR}/3rdparty/Capstone/src/arch/Mips/MipsMapping.c
    ${PROJECT_SOURCE_DIR}/3rdparty/Capstone/src/arch/Mips/MipsModule.c
    ${PROJECT_SOURCE_DIR}/3rdparty/Capstone/src/arch/PowerPC/PPCDisassembler.c
    ${PROJECT_SOURCE_DIR}/3rdparty/Capstone/src/arch/PowerPC/PPCInstPrinter.c
    ${PROJECT_SOURCE_DIR}/3rdparty/Capstone/src/arch/PowerPC/PPCMapping.c
    ${PROJECT_SOURCE_DIR}/3rdparty/Capstone/src/arch/PowerPC/PPCModule.c
    ${PROJECT_SOURCE_DIR}/3rdparty/Capstone/src/arch/RISCV/RISCVDisassembler.c
    ${PROJECT_SOURCE_DIR}/3rdparty/Capstone/src/arch/RISCV/RISCVInstPrinter.c
    ${PROJECT_SOURCE_DIR}/3rdparty/Capstone/src/arch/RISCV/RISCVMapping.c
    ${PROJECT_SOURCE_DIR}/3rdparty/Capstone/src/arch/RISCV/RISCVModule.c
    ${PROJECT_SOURCE_DIR}/3rdparty/Capstone/src/arch/Sparc/SparcDisassembler.c
    ${PROJECT_SOURCE_DIR}/3rdparty/Capstone/src/arch/Sparc/SparcInstPrinter.c
    ${PROJECT_SOURCE_DIR}/3rdparty/Capstone/src/arch/Sparc/SparcMapping.c
    ${PROJECT_SOURCE_DIR}/3rdparty/Capstone/src/arch/Sparc/SparcModule.c
    ${PROJECT_SOURCE_DIR}/3rdparty/Capstone/src/arch/SystemZ/SystemZDisassembler.c
    ${PROJECT_SOURCE_DIR}/3rdparty/Capstone/src/arch/SystemZ/SystemZInstPrinter.c
    ${PROJECT_SOURCE_DIR}/3rdparty/Capstone/src/arch/SystemZ/SystemZMCTargetDesc.c
    ${PROJECT_SOURCE_DIR}/3rdparty/Capstone/src/arch/SystemZ/SystemZMapping.c
    ${PROJECT_SOURCE_DIR}/3rdparty/Capstone/src/arch/SystemZ/SystemZModule.c
    ${PROJECT_SOURCE_DIR}/3rdparty/Capstone/src/arch/TMS320C64x/TMS320C64xDisassembler.c
    ${PROJECT_SOURCE_DIR}/3rdparty/Capstone/src/arch/TMS320C64x/TMS320C64xInstPrinter.c
    ${PROJECT_SOURCE_DIR}/3rdparty/Capstone/src/arch/TMS320C64x/TMS320C64xMapping.c
    ${PROJECT_SOURCE_DIR}/3rdparty/Capstone/src/arch/TMS320C64x/TMS320C64xModule.c
    ${PROJECT_SOURCE_DIR}/3rdparty/Capstone/src/arch/WASM/WASMDisassembler.c
    ${PROJECT_SOURCE_DIR}/3rdparty/Capstone/src/arch/WASM/WASMInstPrinter.c
    ${PROJECT_SOURCE_DIR}/3rdparty/Capstone/src/arch/WASM/WASMMapping.c
    ${PROJECT_SOURCE_DIR}/3rdparty/Capstone/src/arch/WASM/WASMModule.c
    ${PROJECT_SOURCE_DIR}/3rdparty/Capstone/src/arch/X86/X86ATTInstPrinter.c
    ${PROJECT_SOURCE_DIR}/3rdparty/Capstone/src/arch/X86/X86Disassembler.c
    ${PROJECT_SOURCE_DIR}/3rdparty/Capstone/src/arch/X86/X86DisassemblerDecoder.c
    ${PROJECT_SOURCE_DIR}/3rdparty/Capstone/src/arch/X86/X86InstPrinterCommon.c
    ${PROJECT_SOURCE_DIR}/3rdparty/Capstone/src/arch/X86/X86IntelInstPrinter.c
    ${PROJECT_SOURCE_DIR}/3rdparty/Capstone/src/arch/X86/X86Mapping.c
    ${PROJECT_SOURCE_DIR}/3rdparty/Capstone/src/arch/X86/X86Module.c
    ${PROJECT_SOURCE_DIR}/3rdparty/Capstone/src/arch/XCore/XCoreDisassembler.c
    ${PROJECT_SOURCE_DIR}/3rdparty/Capstone/src/arch/XCore/XCoreInstPrinter.c
    ${PROJECT_SOURCE_DIR}/3rdparty/Capstone/src/arch/XCore/XCoreMapping.c
    ${PROJECT_SOURCE_DIR}/3rdparty/Capstone/src/arch/XCore/XCoreModule.c
    ${PROJECT_SOURCE_DIR}/3rdparty/Capstone/src/cs.c
    ${PROJECT_SOURCE_DIR}/3rdparty/Capstone/src/utils.c
)

set_target_properties(capstone PROPERTIES LINKER_LANGUAGE C)
set(CMAKE_WINDOWS_EXPORT_ALL_SYMBOLS ON)

if(MSVC)
    add_definitions(-D_CRT_SECURE_NO_WARNINGS)
endif()

=== x86/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.14)

project(capstone_x86 LANGUAGES C)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)

message(${PROJECT_SOURCE_DIR})

if(WIN32)
  add_definitions(-DWIN32)
endif()

add_definitions(
    -DCAPSTONE_HAS_X86
    -DCAPSTONE_X86_ATT_DISABLE
    -DCAPSTONE_X86_REDUCE
    -DCAPSTONE_DIET_NO
    -DCAPSTONE_USE_SYS_DYN_MEM
    -D_LIB
    )
    
include_directories(${PROJECT_SOURCE_DIR}/../3rdparty/Capstone/src/include)

add_library(capstone_x86 STATIC
    ${PROJECT_SOURCE_DIR}/../3rdparty/Capstone/src/MCInst.c
    ${PROJECT_SOURCE_DIR}/../3rdparty/Capstone/src/MCInstrDesc.c
    ${PROJECT_SOURCE_DIR}/../3rdparty/Capstone/src/MCRegisterInfo.c
    ${PROJECT_SOURCE_DIR}/../3rdparty/Capstone/src/SStream.c
    ${PROJECT_SOURCE_DIR}/../3rdparty/Capstone/src/arch/X86/X86Disassembler.c
    ${PROJECT_SOURCE_DIR}/../3rdparty/Capstone/src/arch/X86/X86DisassemblerDecoder.c
    ${PROJECT_SOURCE_DIR}/../3rdparty/Capstone/src/arch/X86/X86IntelInstPrinter.c
    ${PROJECT_SOURCE_DIR}/../3rdparty/Capstone/src/arch/X86/X86Mapping.c
    ${PROJECT_SOURCE_DIR}/../3rdparty/Capstone/src/arch/X86/X86Module.c
    ${PROJECT_SOURCE_DIR}/../3rdparty/Capstone/src/cs.c
    ${PROJECT_SOURCE_DIR}/../3rdparty/Capstone/src/utils.c
)

set_target_properties(capstone_x86 PROPERTIES LINKER_LANGUAGE C)
set(CMAKE_WINDOWS_EXPORT_ALL_SYMBOLS ON)

=== 3rdparty/bzip2/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.14)

project(bzip2 LANGUAGES C)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)

include_directories(${PROJECT_SOURCE_DIR}/src/)

add_library(bzip2 STATIC
${PROJECT_SOURCE_DIR}/src/bzip2.c
${PROJECT_SOURCE_DIR}/src/crctable.c
${PROJECT_SOURCE_DIR}/src/bzlib.c
${PROJECT_SOURCE_DIR}/src/compress.c
${PROJECT_SOURCE_DIR}/src/decompress.c
${PROJECT_SOURCE_DIR}/src/blocksort.c
${PROJECT_SOURCE_DIR}/src/randtable.c
${PROJECT_SOURCE_DIR}/src/huffman.c
)

set_target_properties(bzip2 PROPERTIES LINKER_LANGUAGE C)
set(CMAKE_WINDOWS_EXPORT_ALL_SYMBOLS ON)

if(MSVC)
    add_definitions(-D_CRT_SECURE_NO_WARNINGS)
endif()

=== 3rdparty/lzma/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.14)

project(lzma LANGUAGES C)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)

include_directories(${PROJECT_SOURCE_DIR}/src/)

add_library(lzma STATIC
${PROJECT_SOURCE_DIR}/src/LzmaDec.c
${PROJECT_SOURCE_DIR}/src/Ppmd7.c
${PROJECT_SOURCE_DIR}/src/Ppmd7Dec.c
)

set_target_properties(lzma PROPERTIES LINKER_LANGUAGE C)
set(CMAKE_WINDOWS_EXPORT_ALL_SYMBOLS ON)

if(MSVC)
    add_definitions(-D_CRT_SECURE_NO_WARNINGS)
endif()

=== 3rdparty/yara/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.14)

project(yara LANGUAGES C)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)

include(GNUInstallDirs)

include_directories(${PROJECT_SOURCE_DIR}/src/)
include_directories(${PROJECT_SOURCE_DIR}/src/include/)

if(WIN32)
  add_definitions(-D_CRT_SECURE_NO_WARNINGS)
  add_definitions(-DUSE_WINDOWS_PROC)
  add_definitions(-DYR_BUILDING_STATIC_LIB)
  add_definitions(-DBUCKETS_128)
  add_definitions(-DCHECKSUM_1B)
endif()

if(CMAKE_SYSTEM_NAME MATCHES "Linux")
  add_definitions(-DHAVE_CLOCK_GETTIME)
  add_definitions(-DHAVE_STDBOOL_H)
  add_definitions(-DHAVE_TIMEGM)
  add_definitions(-DBUCKETS_128)
  add_definitions(-DCHECKSUM_1B)
  add_definitions(-DHAVE_MEMMEM)
  add_definitions(-DUSE_LINUX_PROC)
  add_definitions(-DHAVE_SCAN_PROC_IMPL)
endif()

if(APPLE)
  add_definitions(-DUSE_MACH_PROC)
  add_definitions(-DHAVE_CLOCK_GETTIME)
  add_definitions(-DHAVE_STDBOOL_H)
  add_definitions(-DHAVE_TIMEGM)
  add_definitions(-DBUCKETS_128)
  add_definitions(-DCHECKSUM_1B)
  add_definitions(-DHAVE_MEMMEM)
  add_definitions(-DHAVE_SCAN_PROC_IMPL)
  add_definitions(-DHAVE_STRLCAT) 
  add_definitions(-DHAVE_STRLCPY)
endif()

if(CMAKE_SYSTEM_NAME MATCHES "FreeBSD")
  add_definitions(-DUSE_FREEBSD_PROC)
  add_definitions(-DHAVE_CLOCK_GETTIME)
  add_definitions(-DHAVE_STDBOOL_H)
  add_definitions(-DHAVE_TIMEGM)
  add_definitions(-DBUCKETS_128)
  add_definitions(-DCHECKSUM_1B)
  add_definitions(-DHAVE_MEMMEM)
  add_definitions(-DHAVE_SCAN_PROC_IMPL)
  add_definitions(-DHAVE_STRLCAT) 
  add_definitions(-DHAVE_STRLCPY)
endif()

if(CMAKE_SYSTEM_NAME MATCHES "OpenBSD")
  add_definitions(-DUSE_OPENBSD_PROC)
  add_definitions(-DHAVE_CLOCK_GETTIME)
  add_definitions(-DHAVE_STDBOOL_H)
  add_definitions(-DHAVE_TIMEGM)
  add_definitions(-DBUCKETS_128)
  add_definitions(-DCHECKSUM_1B)
  add_definitions(-DHAVE_MEMMEM)
  add_definitions(-DHAVE_SCAN_PROC_IMPL)
  add_definitions(-DHAVE_STRLCAT) 
  add_definitions(-DHAVE_STRLCPY)
endif()

add_library(yara STATIC
${PROJECT_SOURCE_DIR}/src/ahocorasick.c
${PROJECT_SOURCE_DIR}/src/arena.c
${PROJECT_SOURCE_DIR}/src/atoms.c
${PROJECT_SOURCE_DIR}/src/base64.c
${PROJECT_SOURCE_DIR}/src/bitmask.c
${PROJECT_SOURCE_DIR}/src/compiler.c
${PROJECT_SOURCE_DIR}/src/endian.c
${PROJECT_SOURCE_DIR}/src/exec.c
${PROJECT_SOURCE_DIR}/src/exefiles.c
${PROJECT_SOURCE_DIR}/src/filemap.c
${PROJECT_SOURCE_DIR}/src/grammar.c
${PROJECT_SOURCE_DIR}/src/_hash.c
${PROJECT_SOURCE_DIR}/src/hex_grammar.c
${PROJECT_SOURCE_DIR}/src/hex_lexer.c
${PROJECT_SOURCE_DIR}/src/lexer.c
${PROJECT_SOURCE_DIR}/src/libyara.c
${PROJECT_SOURCE_DIR}/src/mem.c
${PROJECT_SOURCE_DIR}/src/modules.c
${PROJECT_SOURCE_DIR}/src/modules/console/console.c
${PROJECT_SOURCE_DIR}/src/modules/dex/dex.c
${PROJECT_SOURCE_DIR}/src/modules/dotnet/dotnet.c
${PROJECT_SOURCE_DIR}/src/modules/elf/elf.c
${PROJECT_SOURCE_DIR}/src/modules/math/math.c
${PROJECT_SOURCE_DIR}/src/modules/macho/macho.c
${PROJECT_SOURCE_DIR}/src/modules/pe/pe.c
${PROJECT_SOURCE_DIR}/src/modules/pe/pe_utils.c
${PROJECT_SOURCE_DIR}/src/modules/string/string.c
${PROJECT_SOURCE_DIR}/src/modules/tests/tests.c
${PROJECT_SOURCE_DIR}/src/modules/time/time.c
${PROJECT_SOURCE_DIR}/src/notebook.c
${PROJECT_SOURCE_DIR}/src/object.c
${PROJECT_SOURCE_DIR}/src/parser.c
${PROJECT_SOURCE_DIR}/src/proc.c
${PROJECT_SOURCE_DIR}/src/proc/none.c
${PROJECT_SOURCE_DIR}/src/re.c
${PROJECT_SOURCE_DIR}/src/re_grammar.c
${PROJECT_SOURCE_DIR}/src/re_lexer.c
${PROJECT_SOURCE_DIR}/src/rules.c
${PROJECT_SOURCE_DIR}/src/scan.c
${PROJECT_SOURCE_DIR}/src/scanner.c
${PROJECT_SOURCE_DIR}/src/sizedstr.c
${PROJECT_SOURCE_DIR}/src/stack.c
${PROJECT_SOURCE_DIR}/src/stopwatch.c
${PROJECT_SOURCE_DIR}/src/stream.c
${PROJECT_SOURCE_DIR}/src/strutils.c
${PROJECT_SOURCE_DIR}/src/threading.c
${PROJECT_SOURCE_DIR}/src/simple_str.c
${PROJECT_SOURCE_DIR}/src/tlshc/tlsh.c
${PROJECT_SOURCE_DIR}/src/tlshc/tlsh_impl.c
${PROJECT_SOURCE_DIR}/src/tlshc/tlsh_util.c
)

if(WIN32)
  target_sources(yara PRIVATE
  ${PROJECT_SOURCE_DIR}/src/proc/windows.c
  )
endif()

if(CMAKE_SYSTEM_NAME MATCHES "Linux")
  target_sources(yara PRIVATE
  ${PROJECT_SOURCE_DIR}/src/proc/linux.c
  )
endif()

if(CMAKE_SYSTEM_NAME MATCHES "FreeBSD")
  target_sources(yara PRIVATE
  ${PROJECT_SOURCE_DIR}/src/proc/freebsd.c
  )
endif()

if(CMAKE_SYSTEM_NAME MATCHES "OpenBSD")
  target_sources(yara PRIVATE
  ${PROJECT_SOURCE_DIR}/src/proc/openbsd.c
  )
endif()

if(APPLE)
  target_sources(yara PRIVATE
  ${PROJECT_SOURCE_DIR}/src/proc/mach.c
  )
endif()

set_target_properties(yara PROPERTIES LINKER_LANGUAGE C)
set(CMAKE_WINDOWS_EXPORT_ALL_SYMBOLS ON)

=== 3rdparty/zlib/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.14)

project(zlib LANGUAGES C)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)

include_directories(${PROJECT_SOURCE_DIR}/src/)

add_library(zlib STATIC
${PROJECT_SOURCE_DIR}/src/deflate.c
${PROJECT_SOURCE_DIR}/src/inflate.c
${PROJECT_SOURCE_DIR}/src/adler32.c
${PROJECT_SOURCE_DIR}/src/crc32.c
${PROJECT_SOURCE_DIR}/src/inffast.c
${PROJECT_SOURCE_DIR}/src/inftrees.c
${PROJECT_SOURCE_DIR}/src/trees.c
${PROJECT_SOURCE_DIR}/src/zutil.c
)

set_target_properties(zlib PROPERTIES LINKER_LANGUAGE C)
set(CMAKE_WINDOWS_EXPORT_ALL_SYMBOLS ON)

if(MSVC)
    add_definitions(-D_CRT_SECURE_NO_WARNINGS)
endif()

=== debian/changelog ===
detect-it-easy (3.10-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Daniel Ruiz de Alegria <daniruiz@kali.org>  Mon, 14 Jul 2025 11:52:39 +0200

=== debian/control ===
Source: detect-it-easy
Section: utils
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Daniel Ruiz de Alegría <daniruiz@kali.org>
Rules-Requires-Root: no
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 libqt5opengl5-dev,
 libqt5svg5-dev,
 pkgconf,
 qtbase5-dev,
 qtscript5-dev,
Standards-Version: 4.7.2
Homepage: https://github.com/horsicq/Detect-It-Easy
Vcs-Browser: https://gitlab.com/kalilinux/packages/detectiteasy
Vcs-Git: https://gitlab.com/kalilinux/packages/detectiteasy.git

Package: detect-it-easy
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Program for determining types of files
 Detect It Easy (DiE) is a powerful tool for file type identification, popular
 among malware analysts, cybersecurity experts, and reverse engineers
 worldwide. Supporting both signature-based and heuristic analysis, DiE enables
 efficient file inspections across a broad range of platforms, including
 Windows, Linux, and MacOS. Its adaptable, script-driven detection architecture
 makes it one of the most versatile tools in the field, with a comprehensive
 list of supported OS images.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX=/usr \
		-DCMAKE_INSTALL_LIBDIR=lib

=== debian/tests/control ===
Test-Command: diec --help
Restriction: superficial

=== debian/watch ===
version=4
https://github.com/horsicq/DIE-engine/tags .*/v?(\d.*)@ARCHIVE_EXT@ debian debian/script-targz
